!----------------------------------------------------------------
! Rakotomalala, C., Guizien, K., Granger, K., Lefebvre, S. Dupuy, C., Orvain, F., Modelling the functionning of a coupled Microphytobenthic-EPS_bacterial system in intertidal mudflats 
!----------------------------------------------------------------
! Function to be used with the Modular numerical tool (Eco3M) under Cecill License. The version of the code is that of 2006 
!---------------------------------------------------------------
!
   function f_mnat_lob(ili,jcol,tx_mnat)
!
!--------------------------------------------------------------------
!
! Cette fonction calcule la mortalit�naturelle du zoo et phyto
!
! variables et unites:
!---------------------
! tx_mnat : taux de mortalit�naturelle du phyto ou zoo, s-1
!
! Variables globales
Use COUPLEUR_PHY_BIO

 Implicit None

!-- fonction:
real(8) :: f_mnat_lob(nx,ny,nz)

!-- arguments
Real(8) :: tx_mnat
Integer :: ili,jcol


f_mnat_lob(:,:,:)=  tx_mnat * var(ili)%conc(:,:,:) 

!write(*,*) 'f_mnat_lob=',f_mnat_lob(1,1,1)

end function f_mnat_lob
